Bug 1254796 - [abrt] psi: QApplication::x11ProcessEvent(): psi killed by SIGSEGV [NEEDINFO]
[abrt] psi: QApplication::x11ProcessEvent(): psi killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: psi (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0860424d108a13b24050366a448...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 17:25 EDT by Zdeněk Zikán
Modified: 2015-12-14 09:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-14 09:29:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: needinfo? (zdenek.zikan)


Attachments (Terms of Use)
File: backtrace (146.22 KB, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: core_backtrace (3.65 KB, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: dso_list (20.57 KB, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: environ (1.66 KB, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: maps (84.34 KB, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: mountinfo (3.13 KB, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: open_fds (1.99 KB, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: proc_pid_status (970 bytes, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details
File: var_log_messages (260 bytes, text/plain)
2015-08-18 17:25 EDT, Zdeněk Zikán
no flags Details

  None (edit)
Description Zdeněk Zikán 2015-08-18 17:25:30 EDT
Description of problem:
I selected multiple contacts and either right clicked or pressed enter (don't remebmer)

Version-Release number of selected component:
psi-0.15-6.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        psi
crash_function: QApplication::x11ProcessEvent
executable:     /usr/bin/psi
global_pid:     25468
kernel:         4.0.8-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 QApplication::x11ProcessEvent at kernel/qapplication_x11.cpp:3443
 #1 x11EventSourceDispatch at kernel/qguieventdispatcher_glib.cpp:148
 #5 g_main_context_iteration at gmain.c:3869
 #6 QEventDispatcherGlib::processEvents at kernel/qeventdispatcher_glib.cpp:450
 #7 QGuiEventDispatcherGlib::processEvents at kernel/qguieventdispatcher_glib.cpp:207
 #8 QEventLoop::processEvents at kernel/qeventloop.cpp:149
 #9 QEventLoop::exec at kernel/qeventloop.cpp:204
 #10 QCoreApplication::exec at kernel/qcoreapplication.cpp:1225
Comment 1 Zdeněk Zikán 2015-08-18 17:25:35 EDT
Created attachment 1064508 [details]
File: backtrace
Comment 2 Zdeněk Zikán 2015-08-18 17:25:36 EDT
Created attachment 1064509 [details]
File: cgroup
Comment 3 Zdeněk Zikán 2015-08-18 17:25:37 EDT
Created attachment 1064510 [details]
File: core_backtrace
Comment 4 Zdeněk Zikán 2015-08-18 17:25:39 EDT
Created attachment 1064511 [details]
File: dso_list
Comment 5 Zdeněk Zikán 2015-08-18 17:25:40 EDT
Created attachment 1064512 [details]
File: environ
Comment 6 Zdeněk Zikán 2015-08-18 17:25:42 EDT
Created attachment 1064513 [details]
File: limits
Comment 7 Zdeněk Zikán 2015-08-18 17:25:44 EDT
Created attachment 1064514 [details]
File: maps
Comment 8 Zdeněk Zikán 2015-08-18 17:25:45 EDT
Created attachment 1064515 [details]
File: mountinfo
Comment 9 Zdeněk Zikán 2015-08-18 17:25:46 EDT
Created attachment 1064516 [details]
File: namespaces
Comment 10 Zdeněk Zikán 2015-08-18 17:25:48 EDT
Created attachment 1064517 [details]
File: open_fds
Comment 11 Zdeněk Zikán 2015-08-18 17:25:49 EDT
Created attachment 1064518 [details]
File: proc_pid_status
Comment 12 Zdeněk Zikán 2015-08-18 17:25:50 EDT
Created attachment 1064519 [details]
File: var_log_messages
Comment 13 Raphael Groner 2015-08-19 03:21:52 EDT
What desktop environment (especially window manager) do you use?

Can you reproduce this crash?

Does this issue also happen with psi-plus (= psi 0.16 development branch)?
http://copr.fedoraproject.org/coprs/raphgro/psi-plus/build/109823/
Comment 14 Fedora Update System 2015-10-14 11:40:44 EDT
psi-0.15-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-31b9c7a628
Comment 15 Fedora Update System 2015-10-14 18:52:42 EDT
psi-0.15-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update psi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-31b9c7a628
Comment 16 Fedora Update System 2015-10-31 22:37:41 EDT
psi-0.15-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.